io.vertx.serviceproxy

## Class ProxyHelper

- java.lang.Object
- - io.vertx.serviceproxy.ProxyHelper

- Deprecated.
  for a more robust proxy creation see: `ServiceBinder`

      @Deprecated
      public class ProxyHelper
      extends Object

  Author:
    Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `DEFAULT_CONNECTION_TIMEOUT` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProxyHelper()` Deprecated.

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `createProxy(Class<T> clazz, Vertx vertx, String address)` Deprecated.
    `static <T> T` | `createProxy(Class<T> clazz, Vertx vertx, String address, DeliveryOptions options)` Deprecated.
    `static <T> MessageConsumer<JsonObject>` | `registerLocalService(Class<T> clazz, Vertx vertx, T service, String address)` Deprecated. Registers a local service on the event bus.
    `static <T> MessageConsumer<JsonObject>` | `registerLocalService(Class<T> clazz, Vertx vertx, T service, String address, boolean topLevel, long timeoutSeconds)` Deprecated.
    `static <T> MessageConsumer<JsonObject>` | `registerLocalService(Class<T> clazz, Vertx vertx, T service, String address, long timeoutSeconds)` Deprecated.
    `static <T> MessageConsumer<JsonObject>` | `registerService(Class<T> clazz, Vertx vertx, T service, String address)` Deprecated. Registers a service on the event bus.
    `static <T> MessageConsumer<JsonObject>` | `registerService(Class<T> clazz, Vertx vertx, T service, String address, boolean topLevel, long timeoutSeconds)` Deprecated.
    `static <T> MessageConsumer<JsonObject>` | `registerService(Class<T> clazz, Vertx vertx, T service, String address, long timeoutSeconds)` Deprecated.
    `static void` | `unregisterService(MessageConsumer<JsonObject> consumer)` Deprecated. Unregisters a published service.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_CONNECTION_TIMEOUT

          public static final long DEFAULT_CONNECTION_TIMEOUT

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProxyHelper

          public ProxyHelper()

      Deprecated.

  - ### Method Detail

    - #### createProxy

          public static <T> T createProxy(Class<T> clazz,
                                          Vertx vertx,
                                          String address)

      Deprecated.

    - #### createProxy

          public static <T> T createProxy(Class<T> clazz,
                                          Vertx vertx,
                                          String address,
                                          DeliveryOptions options)

      Deprecated.

    - #### registerService

          public static <T> MessageConsumer<JsonObject> registerService(Class<T> clazz,
                                                                        Vertx vertx,
                                                                        T service,
                                                                        String address)

      Deprecated.
      Registers a service on the event bus.
      Type Parameters:
        `T` - the type of the service interface
      Parameters:
        `clazz` - the service class (interface)
        `vertx` - the vert.x instance
        `service` - the service object
        `address` - the address on which the service is published
      Returns:
        the consumer used to unregister the service

    - #### registerService

          public static <T> MessageConsumer<JsonObject> registerService(Class<T> clazz,
                                                                        Vertx vertx,
                                                                        T service,
                                                                        String address,
                                                                        long timeoutSeconds)

      Deprecated.

    - #### registerService

          public static <T> MessageConsumer<JsonObject> registerService(Class<T> clazz,
                                                                        Vertx vertx,
                                                                        T service,
                                                                        String address,
                                                                        boolean topLevel,
                                                                        long timeoutSeconds)

      Deprecated.

    - #### registerLocalService

          public static <T> MessageConsumer<JsonObject> registerLocalService(Class<T> clazz,
                                                                             Vertx vertx,
                                                                             T service,
                                                                             String address)

      Deprecated.
      Registers a local service on the event bus. The registration will not be propagated to other nodes in the cluster.
      Type Parameters:
        `T` - the type of the service interface
      Parameters:
        `clazz` - the service class (interface)
        `vertx` - the vert.x instance
        `service` - the service object
        `address` - the address on which the service is published
      Returns:
        the consumer used to unregister the service

    - #### registerLocalService

          public static <T> MessageConsumer<JsonObject> registerLocalService(Class<T> clazz,
                                                                             Vertx vertx,
                                                                             T service,
                                                                             String address,
                                                                             long timeoutSeconds)

      Deprecated.

    - #### registerLocalService

          public static <T> MessageConsumer<JsonObject> registerLocalService(Class<T> clazz,
                                                                             Vertx vertx,
                                                                             T service,
                                                                             String address,
                                                                             boolean topLevel,
                                                                             long timeoutSeconds)

      Deprecated.

    - #### unregisterService

          public static void unregisterService(MessageConsumer<JsonObject> consumer)

      Deprecated.
      Unregisters a published service.
      Parameters:
        `consumer` - the consumer returned by `registerService(Class, Vertx, Object, String)`.

Copyright © 2020 Eclipse. All rights reserved.